
#ifndef __CAMERACTRL_H__
#define __CAMERACTRL_H__

/*--------------------
   組み込みファイル名
  --------------------*/
#include <nn.h>
#include "scene.h"

#ifdef EXT
# undef EXT
#endif

#ifndef __CAMERACTRL_C__
# define EXT extern
#else
# define EXT
#endif

#ifdef __cplusplus
extern "C" {
#endif

EXT void GetRotation(NNS_MATRIX *mtx, NNS_VECTOR *rot);

EXT void CameraCtrlSetCamera(CAMERA *cam, Sint32 w, Sint32 h);
EXT void CameraCtrlSetModel(Sint32 nbMdl, MODEL *mdl);

EXT void CameraCtrlMain(unsigned long evtType, void *ptr);

#ifdef __cplusplus
}
#endif

#endif	/* ifndef __CAMERACTRL_H__ */
